org.apache.struts2.interceptor

## Interface ResourceIsolationPolicy

- All Known Implementing Classes:
    StrutsResourceIsolationPolicy
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ResourceIsolationPolicy

  Interface for the resource isolation policies to be used for fetch metadata checks. Resource isolation policies are designed to protect against cross origin attacks and use the `sec-fetch-*` request headers to decide whether to accept or reject a request. Read more about Fetch Metadata. See `StrutsResourceIsolationPolicy` for the default implementation used.
  See Also:
    https://web.dev/fetch-metadata/, https://www.w3.org/TR/fetch-metadata/

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEST_AUDIO`
    `static String` | `DEST_AUDIOWORKLET`
    `static String` | `DEST_DOCUMENT`
    `static String` | `DEST_EMBED`
    `static String` | `DEST_EMPTY`
    `static String` | `DEST_FONT`
    `static String` | `DEST_IMAGE`
    `static String` | `DEST_MANIFEST`
    `static String` | `DEST_NESTED_DOCUMENT`
    `static String` | `DEST_OBJECT`
    `static String` | `DEST_PAINTWORKLET`
    `static String` | `DEST_REPORT`
    `static String` | `DEST_SCRIPT`
    `static String` | `DEST_SERVICEWORKER`
    `static String` | `DEST_SHAREDWORKER`
    `static String` | `DEST_STYLE`
    `static String` | `DEST_TRACK`
    `static String` | `DEST_VIDEO`
    `static String` | `DEST_WORKER`
    `static String` | `DEST_XSLT`
    `static String` | `MODE_CORS`
    `static String` | `MODE_NAVIGATE`
    `static String` | `MODE_NESTED_NAVIGATE`
    `static String` | `MODE_NO_CORS`
    `static String` | `MODE_SAME_ORIGIN`
    `static String` | `MODE_WEBSOCKET`
    `static String` | `SEC_FETCH_DEST_HEADER`
    `static String` | `SEC_FETCH_MODE_HEADER`
    `static String` | `SEC_FETCH_SITE_HEADER`
    `static String` | `SEC_FETCH_USER_HEADER`
    `static String` | `SITE_CROSS_SITE`
    `static String` | `SITE_NONE`
    `static String` | `SITE_SAME_ORIGIN`
    `static String` | `SITE_SAME_SITE`
    `static String` | `VARY_HEADER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRequestAllowed(javax.servlet.http.HttpServletRequest request)`

- - ### Field Detail

    - #### SEC_FETCH_DEST_HEADER

          static final String SEC_FETCH_DEST_HEADER

      See Also:
        Constant Field Values

    - #### SEC_FETCH_MODE_HEADER

          static final String SEC_FETCH_MODE_HEADER

      See Also:
        Constant Field Values

    - #### SEC_FETCH_SITE_HEADER

          static final String SEC_FETCH_SITE_HEADER

      See Also:
        Constant Field Values

    - #### SEC_FETCH_USER_HEADER

          static final String SEC_FETCH_USER_HEADER

      See Also:
        Constant Field Values

    - #### VARY_HEADER

          static final String VARY_HEADER

      See Also:
        Constant Field Values

    - #### DEST_AUDIO

          static final String DEST_AUDIO

      See Also:
        Constant Field Values

    - #### DEST_AUDIOWORKLET

          static final String DEST_AUDIOWORKLET

      See Also:
        Constant Field Values

    - #### DEST_DOCUMENT

          static final String DEST_DOCUMENT

      See Also:
        Constant Field Values

    - #### DEST_EMBED

          static final String DEST_EMBED

      See Also:
        Constant Field Values

    - #### DEST_EMPTY

          static final String DEST_EMPTY

      See Also:
        Constant Field Values

    - #### DEST_FONT

          static final String DEST_FONT

      See Also:
        Constant Field Values

    - #### DEST_IMAGE

          static final String DEST_IMAGE

      See Also:
        Constant Field Values

    - #### DEST_MANIFEST

          static final String DEST_MANIFEST

      See Also:
        Constant Field Values

    - #### DEST_NESTED_DOCUMENT

          static final String DEST_NESTED_DOCUMENT

      See Also:
        Constant Field Values

    - #### DEST_OBJECT

          static final String DEST_OBJECT

      See Also:
        Constant Field Values

    - #### DEST_PAINTWORKLET

          static final String DEST_PAINTWORKLET

      See Also:
        Constant Field Values

    - #### DEST_REPORT

          static final String DEST_REPORT

      See Also:
        Constant Field Values

    - #### DEST_SCRIPT

          static final String DEST_SCRIPT

      See Also:
        Constant Field Values

    - #### DEST_SERVICEWORKER

          static final String DEST_SERVICEWORKER

      See Also:
        Constant Field Values

    - #### DEST_SHAREDWORKER

          static final String DEST_SHAREDWORKER

      See Also:
        Constant Field Values

    - #### DEST_STYLE

          static final String DEST_STYLE

      See Also:
        Constant Field Values

    - #### DEST_TRACK

          static final String DEST_TRACK

      See Also:
        Constant Field Values

    - #### DEST_VIDEO

          static final String DEST_VIDEO

      See Also:
        Constant Field Values

    - #### DEST_WORKER

          static final String DEST_WORKER

      See Also:
        Constant Field Values

    - #### DEST_XSLT

          static final String DEST_XSLT

      See Also:
        Constant Field Values

    - #### MODE_CORS

          static final String MODE_CORS

      See Also:
        Constant Field Values

    - #### MODE_NAVIGATE

          static final String MODE_NAVIGATE

      See Also:
        Constant Field Values

    - #### MODE_NESTED_NAVIGATE

          static final String MODE_NESTED_NAVIGATE

      See Also:
        Constant Field Values

    - #### MODE_NO_CORS

          static final String MODE_NO_CORS

      See Also:
        Constant Field Values

    - #### MODE_SAME_ORIGIN

          static final String MODE_SAME_ORIGIN

      See Also:
        Constant Field Values

    - #### MODE_WEBSOCKET

          static final String MODE_WEBSOCKET

      See Also:
        Constant Field Values

    - #### SITE_CROSS_SITE

          static final String SITE_CROSS_SITE

      See Also:
        Constant Field Values

    - #### SITE_SAME_ORIGIN

          static final String SITE_SAME_ORIGIN

      See Also:
        Constant Field Values

    - #### SITE_SAME_SITE

          static final String SITE_SAME_SITE

      See Also:
        Constant Field Values

    - #### SITE_NONE

          static final String SITE_NONE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isRequestAllowed

          boolean isRequestAllowed(javax.servlet.http.HttpServletRequest request)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.